Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Apcahe 2.2 facing incorrect command problem with

David SmirnoffDavid Smirnoff Member Posts: 1

I am running Apache 2.2 and suddenly starts giving me an error in Apache's starting command prompt saying:

AH00526: Syntax error on line 248 of C:/xampp/apache/conf/httpd.conf:
Invalid command '<DirectoryIndex', perhaps misspelled or defined by a module not included in the server configuration

..so I check the server configuration in Apache httpd configuration setting in the Xampp Config and change the code:

DocumentRoot "C:/xampp/htdocs"

<DirectoryIndex index.php index.html"

# Possible values for the Options directive are "None", "All",
# or any combination of:
#   Indexes Includes FollowSymLinks SymLinksifOwnerMatch ExecCGI MultiViews
#
# Note that "MultiViews" must be named *explicitly* --- "Options All"
# doesn't give it to you.
#
# The Options directive is both complicated and important.  Please see
 http://httpd.apache.org/docs/2.4/mod/core.html#options
# for more information.
#
Options Indexes FollowSymLinks Includes ExecCGI

#
# AllowOverride controls what directives may be placed in .htaccess files.
# It can be "All", "None", or any combination of the keywords:
#   AllowOverride FileInfo AuthConfig Limit
#
AllowOverride All

#
# Controls who can get stuff from this server.
#
Require all granted

And I have tried closing both the <> and it just keeps saying the same mistake.
Is this a problem with the define command of Directory index ? Something have to do with the .htaccess??

Comments

Sign In or Register to comment.